org.apache.ignite.internal.processors.query.schema

## Class SchemaIndexCacheVisitorImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.SchemaIndexCacheVisitorImpl

All Implemented Interfaces:
  SchemaIndexCacheVisitor

    public class SchemaIndexCacheVisitorImpl
    extends Object
    implements SchemaIndexCacheVisitor

Visitor who create/rebuild indexes in parallel by partition for a given cache.

### Field Summary

Fields
`protected GridFutureAdapter<Void>` `buildIdxFut` Future for create/rebuild index.
`protected IgniteLogger` `log` Logger.

### Constructor Summary

Constructors
Constructor and Description
`SchemaIndexCacheVisitorImpl(GridCacheContext<?,?> cctx, IndexRebuildCancelToken cancelTok, GridFutureAdapter<Void> buildIdxFut)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `beforeExecute()` This method is called before creating or rebuilding indexes.
`String` `toString()`
`void` `visit(SchemaIndexCacheVisitorClosure clo)` Visit cache entries and pass them to closure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### buildIdxFut

    protected final GridFutureAdapter<Void> buildIdxFut

Future for create/rebuild index.

#### log

    protected final IgniteLogger log

Logger.

### Constructor Detail

#### SchemaIndexCacheVisitorImpl

    public SchemaIndexCacheVisitorImpl(GridCacheContext<?,?> cctx,
                                       IndexRebuildCancelToken cancelTok,
                                       GridFutureAdapter<Void> buildIdxFut)

Constructor.

Parameters:
  `cctx` - Cache context.
  `cancelTok` - Cancellation token.
  `buildIdxFut` - Future for create/rebuild index.

### Method Detail

#### visit

    public void visit(SchemaIndexCacheVisitorClosure clo)

Visit cache entries and pass them to closure.

Specified by:
  `visit` in interface `SchemaIndexCacheVisitor`
Parameters:
  `clo` - Closure.

#### beforeExecute

    protected void beforeExecute()

This method is called before creating or rebuilding indexes. Used only for test.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022